SQ(1)

NAME
sq key expire - Change a certificate's expiration time

SYNOPSIS
sq key expire [OPTIONS]

DESCRIPTION
Change a certificate's expiration time.

This subcommand changes a certificate's expiration time. To change the expiration time of an individual subkey, use the `sq key subkey expire` subcommand.

OPTIONS

  Subcommand options

--binary
    Emit binary data

--cert=FINGERPRINT|KEYID
    Change the expiration of the key with the specified fingerprint or key ID

--email=EMAIL
    Change the expiration of the key where a user ID includes the specified email address

--expiration=EXPIRATION
    Define EXPIRATION for the key as ISO 8601 formatted string or custom duration. If an ISO 8601 formatted string is provided, the validity period reaches from the reference time (may be set using `--time`) to the provided time. Custom durations starting from the reference time may be set using `N[ymwds]`, for N years, months, weeks, days, or seconds. The special keyword `never` sets an unlimited expiry.

--file=PATH
    Change the expiration of the key read from PATH

--output=FILE
    Write to FILE or stdout if omitted

--userid=USERID
    Change the expiration of the key with the specified user ID

  Global options
See sq(1) for a description of the global options.

EXAMPLES

Change Alice's certificate to expire in a year.

    sq key expire --expiration 1y --cert \
        EB28F26E2739A4870ECC47726F0073F60FD0CBF0

Change Alice's certificate to never expire.

    sq key expire --expiration never --cert \
        EB28F26E2739A4870ECC47726F0073F60FD0CBF0

SEE ALSO
sq(1), sq-key(1).

For the full documentation see <https://book.sequoia-pgp.org>.

VERSION
0.39.0 (sequoia-openpgp 1.21.2)